Album: Psycholonials EP 6
Artists:
- Clark Powell
Date: March 24, 2021
Date Added: April 12, 2021
Cover Artists:
- Andrew Hussie
Cover Art File Extension: png
Color: '#f51806'
Groups:
- Psycholonials
- Beyond
Banner Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Banner Dimensions: 1100x180
Banner File Extension: png
Wallpaper Style: |-
    opacity: 0.65;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
Wallpaper File Extension: png
Wallpaper Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Listed in Galleries: false
Additional Files:
- Title: Bandcamp Banner
  Files:
  - banner.png
---
Track: The Administrator
Originally Released As: Cruel Ulysses
Duration: '2:21'
URLs:
- https://psycholonials.bandcamp.com/track/the-administrator-2
- https://www.youtube.com/watch?v=Kbxeois4TMc
- https://open.spotify.com/track/2kHU4sux0wCzD2c7NQeda2
---
Track: Means Of Conquest
Originally Released As: Country I Never Saw
Duration: '3:55'
URLs:
- https://psycholonials.bandcamp.com/track/means-of-conquest-2
- https://www.youtube.com/watch?v=mA_GA8UcW6w
- https://open.spotify.com/track/59ESzKgMAGKbwK69rwRyJi
---
Track: Twelve Clown Salute
Duration: '2:19'
URLs:
- https://psycholonials.bandcamp.com/track/twelve-clown-salute-2
- https://www.youtube.com/watch?v=Pnafd9DQt54
- https://open.spotify.com/track/5QXXZqeSSE8Ue4KUzo3gMN
